Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 491426 - repos.conf is confusing name for directory
Summary: repos.conf is confusing name for directory
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Conceptual/Abstract Ideas (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2013-11-16 16:47 UTC by Theo Chatzimichos (RETIRED)
Modified: 2014-01-06 00:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2013-11-16 16:47:29 UTC
Please consider renaming it to something else, eg repos.conf.d or repos.d
Comment 1 Ben Kohler gentoo-dev 2013-11-16 16:50:06 UTC
It can be a flat file or dir, just like most of the rest of /etc/portage/
Comment 2 Alexander Berntsen (RETIRED) gentoo-dev 2013-12-02 01:33:27 UTC
Ben is correct. It's the same as the package.{use,mask,unmask,keyword} scenario. However, it is (was) undocumented. Fix is in git.
Comment 4 Brian Dolbec gentoo-dev 2014-01-06 00:41:56 UTC
Released in sys-apps/portage-2.2.8.